﻿
using EonaCat.Sql.Extensions;
using System;
using System.Data.SqlClient;

namespace EonaCat.Sql
{
    public static class SqlTest
    {
        public static void Main(string[] args)
        {
            SqlHelper.IsWebSafe("SELECT * FROM alert('x');", out string errors);
            var test = new EonaCat.Logger.Managers.LogManager();
            test.Write("test", EonaCat.Logger.ELogType.ERROR);
            Console.WriteLine(errors);

            TestsqlServer();
        }

        private static async void TestsqlServer()
        {
            var customerId = "AROUT";
            var result = SqlHelper.ExecuteQuery(
                @"Server=localhost;Database=NorthWind;User Id=sa;Password=jeroen;TrustServerCertificate=Yes;",
                $"SELECT * FROM Customers WHERE CustomerID = @0 AND Country = @1"
                , true, customerId, "UK");

            if (result.HasResult && result.HasRows)
            {
                Console.WriteLine($"Found '{result.TotalRows}' " + ((result.TotalRows > 1) ? "rows" : "row"));
                Console.WriteLine(string.Empty);
                foreach (var record in result.DataSet)
                {
                    Console.WriteLine(record.CustomerID);
                    Console.WriteLine(record.ContactTitle);
                }
            }
            else
            {
                if (!result.HasResult)
                {
                    Console.WriteLine("No valid result!");
                }

                if (!result.HasRows)
                {
                    Console.WriteLine("No rows found");
                }
                if (result.HasException)
                {
                    Console.WriteLine(result.Exception);
                }
            }
            Console.ReadLine();
        }
    }
}